Bug 232774

Summary: Email not shown for Google contacts with multiple e-mail addresses
Product: Akonadi Reporter: Luke Plant <L.Plant.98>
Component: GoogleData ResourceAssignee: kdepim bugs <kdepim-bugs>
Status: RESOLVED UNMAINTAINED    
Severity: normal CC: ashl1future, dg, jacek.kosek, kdepim-bugs, tokoe, vkrause
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: Google contact upload
Google contact download

Description Luke Plant 2010-03-31 00:16:46 UTC
Version:            (using KDE 4.4.1)
OS:                Linux
Installed from:    Ubuntu Packages

I added an "Akonadi Google Contacts Resource" in the new KAddressBook, entered my details etc.

I found that for any contact that has multiple e-mail addresses defined, none of the e-mail addresses show up at all.  In vCard terms, the contact has multiple 'EMAIL;TYPE=INTERNET:' fields (when I export my Google address book).

Also, similarly, if a contact has multiple phone numbers, none of them show up.  In this case, it can be different 'types' of number in the exported vCard e.g.:

TEL;TYPE=CELL:<snipped>
TEL;TYPE=PAGER:<snipped>
Comment 1 Luke Plant 2010-04-02 15:35:09 UTC
This bug also causes data loss: if you proceed to set an e-mail address on one of the above contacts (i.e. those having multiple addresses against them in Google, but none of them shown in KAddressBook), when it is synchronised to Google the address list is truncated to the new e-mail that you have entered, thus wiping the existing data.
Comment 2 Luke Plant 2010-04-03 15:37:16 UTC
Still seeing this with KDE SC 4.4.2, even with creating a new Akonadi resource for Google Contacts.
Comment 3 Donatas Glodenis 2010-04-25 16:22:17 UTC
I can confirm this bug present in KDE SC 4.4.2, kubuntu packages. I imported my KDE address book to Gmail and added an akonadi resource. The contacts appear on Gmail web interface but not in kaddressbook google contacts resource.
Comment 4 Luke Plant 2010-05-06 13:53:18 UTC
Still present in KDE 4.4.3, Kubuntu packages, Lucid.

Can we move this bug to confirmed please?
Comment 5 Luke Plant 2010-06-08 00:41:28 UTC
Still present in KDE 4.4.4.  Can we move this to confirmed please - we have two users seeing it.

Can I also point out again that this is a serious DATA LOSS bug?  If you attempt to edit a contact stored in Google contacts (i.e. change any data stored for them) you face a high probability of clobbering existing data (phone numbers, email addresses).  I've observed both the phone number list and the email address list stored on Google being truncated by just adding an e-mail address in KAddressBook.

The Google contacts akonadi resource is not only rendered useless by this bug for many/most users, it is *worse* than useless - it is a liability to even have it installed.

I also noticed that other data that Google contacts stores is removed when the updated contact is sent back to Google.  In particular, the groups the contact belonged to are all lost.
Comment 6 Alexey Shildyakov 2010-08-02 09:24:33 UTC
Not only not shown, but don't valid upload multiple e-mail to Google (maybe Google problem).

Upload contact to Google. In Google Contacts there is only one (first prefered) e-mail. Attached "Google contact upload".

Download contact from Google. In KAddressbook I have testName3 without any e-mail addreses. Attached "Google contact download". The response from Google is without any e-mail addresses.
Comment 7 Alexey Shildyakov 2010-08-02 09:25:44 UTC
Created attachment 49741 [details]
Google contact upload
Comment 8 Alexey Shildyakov 2010-08-02 09:26:15 UTC
Created attachment 49742 [details]
Google contact download
Comment 9 Jacek Kosek 2010-11-03 12:09:35 UTC
I think this is the same Bug 204167, and for me problem solved by upgrading libgcal to version 0.9.4
Comment 10 Denis Kurz 2016-09-24 20:44:56 UTC
This bug has only been reported for versions older than KDEPIM 4.14 (at most akonadi-1.3). Can anyone tell if this bug still present?

If noone confirms this bug for a recent version of akonadi (part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 11 Denis Kurz 2017-01-07 21:38:12 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.